# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%global pythonver %(%{__python} -c "import sys; print sys.version[:3]" 2>/dev/null || echo 0.0)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()" 2>/dev/null)}

Name:		python-setuptools_subversion
Version:	3.1
Release:	1.%{__distinit}%{__distvers}
Summary:	Setuptools revision control system plugin for Subversion
Group:		Development/Libraries
License:	BSD
URL:		http://pypi.python.org/pypi/setuptools_subversion
Source0:	http://pypi.python.org/packages/source/s/setuptools_subversion/setuptools_subversion-%{version}.zip
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot-%(id -nu)
BuildRequires:	python2-devel >= 2.4
BuildRequires:	python-setuptools

%description
Setuptools has built-in support for subversion repositories; it'll find all
files tracked by subversion and include them when building a distribution.

However, this support directly reads the private subversion repository
metadata files, and these have been know to change from version to version.
For example, subversion 1.7 switched to one top-level '.svn' directory with
a sqlite database, instead of separate directories throughout the working
copy with proprietary or XML text files in preceding versions. As of the time
of this package development, setuptools does not yet support working copies
using the subversion 1.7 sqlite database format.

This package uses the 'svn list' command instead to list files in a repository,
avoiding having to know about every version of subversion and its particular
metadata formats.

Note that when using setuptools on a subversion 1.7 working copy, setuptools
itself will complain about not being able to parse the '.svn/entries' file
before it delegates file listing to this plugin. This is just a warning, and
can safely be ignored.

%prep
%setup -q -n setuptools_subversion-%{version}

# rpmlint E: non-executable-script
sed -i '/^#!\/usr\/bin\/env python/d' setuptools_subversion.py

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENSE.txt
%else
%doc LICENSE.txt
%endif
%doc CHANGES.rst PKG-INFO README.rst
%{python_sitelib}/setuptools_subversion.py*
%{python_sitelib}/setuptools_subversion-%{version}-py%{pythonver}.egg-info/

%changelog
* Thu Oct  8 2015 Paul Howarth <paul@city-fan.org> - 3.1-1
- Initial RPM package
